_concurrent_unordered_impl.h File Reference
`#include "../tbb_stddef.h"`
`#include <iterator>`
`#include <utility>`
`#include <functional>`
`#include <string>`
`#include <cstring>`
`#include "../atomic.h"`
`#include "../tbb_exception.h"`
`#include "../tbb_allocator.h"`
`#include <initializer_list>`
`#include "_allocator_traits.h"`
`#include "_tbb_hash_compare_impl.h"`
`#include "_template_helpers.h"`
`#include "_node_handle_impl.h"`
Include dependency graph for _concurrent_unordered_impl.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | tbb::interface5::internal::split_ordered_list< T, Allocator >
class | tbb::interface5::internal::concurrent_unordered_base< Traits >
class | tbb::interface5::internal::flist_iterator< Solist, Value >
class | tbb::interface5::internal::solist_iterator< Solist, Value >
class | tbb::interface5::internal::split_ordered_list< T, Allocator >
struct | tbb::interface5::internal::split_ordered_list< T, Allocator >::node
class | tbb::interface5::internal::concurrent_unordered_base< Traits >
struct | tbb::interface5::internal::concurrent_unordered_base< Traits >::call_internal_clear_on_exit
class | tbb::interface5::internal::concurrent_unordered_base< Traits >::const_range_type
class | tbb::interface5::internal::concurrent_unordered_base< Traits >::range_type

## Namespaces

| tbb
| The graph class.
| tbb::interface5
| tbb::interface5::internal

## Macros

#define | __TBB_UNORDERED_NODE_HANDLE_PRESENT 1

## Typedefs

typedef size_t | tbb::interface5::internal::sokey_t

## Functions

template<typename Solist , typename T , typename U >
bool | tbb::interface5::internal::operator== (const flist_iterator< Solist, T > &i, const flist_iterator< Solist, U > &j)
template<typename Solist , typename T , typename U >
bool | tbb::interface5::internal::operator!= (const flist_iterator< Solist, T > &i, const flist_iterator< Solist, U > &j)
template<typename Solist , typename T , typename U >
bool | tbb::interface5::internal::operator== (const solist_iterator< Solist, T > &i, const solist_iterator< Solist, U > &j)
template<typename Solist , typename T , typename U >
bool | tbb::interface5::internal::operator!= (const solist_iterator< Solist, T > &i, const solist_iterator< Solist, U > &j)

## Macro Definition Documentation

## __TBB_UNORDERED_NODE_HANDLE_PRESENT

#define __TBB_UNORDERED_NODE_HANDLE_PRESENT 1

Definition at line 44 of file _concurrent_unordered_impl.h.

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.